%global githubname QAT_Engine
%global enginesdir %(pkg-config --variable=enginesdir libcrypto)

Summary:       Intel QuickAssist Technology (QAT) OpenSSL Engine
Name:          qatengine
Version:       1.6.1
Release:       4%{?dist}
License:       BSD and OpenSSL
URL:           https://github.com/intel/%{githubname}
Source0:       %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: gcc make pkg-config autoconf automake libtool openssl-devel qatlib-devel
# Enable QAT_HW & QAT_SW Co-existence acceleration
BuildRequires: intel-ipp-crypto-mb-devel intel-ipsec-mb-devel openssl
ExclusiveArch: x86_64

%description
This package provides the Intel QuickAssist Technology OpenSSL Engine (an OpenSSL Plug-In Engine)
which provides cryptographic acceleration for both hardware and optimized software using Intel
QuickAssist Technology enabled Intel platforms.

%prep
%autosetup -n %{githubname}-%{version}

%build
autoreconf -ivf
%configure --enable-qat_sw
%make_build

%install
%make_install
rm -f %{buildroot}%{enginesdir}/qatengine.la

%check
export OPENSSL_ENGINES=%{buildroot}%{enginesdir}
openssl engine -v %{name}

%files
%license LICENSE*
%doc README.md docs*
%{enginesdir}/qatengine.so

%changelog
* Tue Oct 22 2024 Shuo Wang <abushwang@tencent.com> - 1.6.1-4
- enable %check

* Mon Sep 23 2024 Shuo Wang <abushwang@tencent.com> - 1.6.1-3
- ExclusiveArch x86_64 to avoid wrong arch building

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.1-2
- Rebuilt for loongarch release

* Thu Aug 08 2024 Upgrade Robot <upbot@opencloudos.tech> - 1.6.1-1
- Upgrade to version 1.6.1
- Enable QAT_HW & QAT_SW Co-existence acceleration

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Jul 11 2023 Shuo Wang <abushwang@tencent.com> - 1.2.0-1
- update to 1.2.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.19-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.19-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 8 2023 Shuo Wang <abushwang@tencent.com> - 0.6.19-1
- initial build
